package multiConcurrentModel;

import java.util.List;

public class MultiConcurrentTransition extends Transition {
	MultiConcurrentState defaultState;
	int[] dead;
	
	public MultiConcurrentTransition(String name, State from, State to) {
		super(name, from, to);
	}
	public MultiConcurrentTransition(String name) {
		super(name);
	}
	
	public void setIsDead(int[] error){
		this.dead=error;
	}
	public int[] getDead(){
		return dead;
	}
	@Override
	public boolean isDead(){
		if(dead==null)return false;
		for(int i=0;i<dead.length;i++){
			if(dead[i]>0)return true;
		}
		return false;
	}
}
